import WorkspaceElement from './WorkspaceElement';
import ElipsePeer from './peer/svg/ElipsePeer';
import SizeType from './SizeType';
import StyleAttributes from './StyleAttributes';
import PositionType from './PositionType';
declare class Ellipse extends WorkspaceElement<ElipsePeer> {
    constructor(attributes?: StyleAttributes);
    getType(): string;
    getSize(): SizeType;
    getPosition(): PositionType;
    setPosition(x: number, y: number): void;
}
export default Ellipse;
